html {
    font-size: 14px;
    scroll-behavior: smooth;
}

:root {
    --primary-color: #dc3545;
    --secondary-color: #6c757d;
    --dark-color: #212529;
    --light-color: #f8f9fa;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


/*-------- Start-loader ------------*/

.prograssiveloader {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    color: white;
    background-color: #070707d9;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.progress-container {
    width: 300px;
    height: 5px;
    background: #e6e6e6;
    border-radius: 2px;
    overflow: hidden;
}

.progress-bar {
    width: 0%;
    height: 100%;
    background: linear-gradient(90deg, #0bab61, #3fd98b);
    transition: width 0.25s ease;
}

.progress-text {
    margin-top: 8px;
    font-size: 14px;
    font-weight: 600;
}

/*-------- End-loader ------------*/

/*-------- Start-Scrol ------------*/
.main-rander {
    height: calc(100dvh - 71px);
    overflow-y: auto;
    overflow-x: hidden;
}

/* Standard styling (Firefox) */
.main-rander {
    scrollbar-width: thin;
    scrollbar-color: black #f1f1f1; /* thumb color | track color */
}

    /* Webkit styling (Chrome, Safari, Edge) */
    .main-rander::-webkit-scrollbar {
        width: 8px;
    }

    .main-rander::-webkit-scrollbar-track {
        background: #f1f1f1;
        border-radius: 10px;
    }

    .main-rander::-webkit-scrollbar-thumb {
        background: #888;
        border-radius: 10px;
    }

        .main-rander::-webkit-scrollbar-thumb:hover {
            background: #555;
        }

/*-------- End-Scrol ------------*/

/*-------- ads-admission ------------*/

.ads_popUp_close {
    position: absolute;
    top: 6px;
    right: 4px;
    color: white;
}

.ad_popup > .modal-content {
    background: none !important;
}


.bg_ad_section {
    position: relative;
    background-image: url(../img/ads/bg_R1.png);
    background-size: 100% 100%;
    height: 577px;
    min-width: 400px;
    width: 100%;
    box-shadow: 0px 0px 8px -1px #608b80 !important;
}

    .bg_ad_section h1 {
        font-size: 22px;
        margin-top: 8%;
        font-family: cursive;
        background: -webkit-linear-gradient(#62b4aa, #17b573);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .bg_ad_section h5 {
        font-size: 22px;
        font-family: fantasy;
        letter-spacing: 2px;
        word-spacing: 4px;
        background: -webkit-linear-gradient(#ff6b62, #3d767b);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .bg_ad_section a {
        padding: 10px 34px !important;
    }

    .bg_ad_section > .qr_code {
        height: 10em;
        filter: contrast(2.5);
        box-shadow: 0px 0px 8px 0px #497d87;
        border-radius: 8px;
    }

.ads_school_sign img {
    height: 5em;
    filter: contrast(1.4);
    border-radius: 8px;
}


/*-------- End-ads -admission ------------*/

/*-------- Start- crop image ------------*/

.resized-popup-layout {
    background-color: #0000008c;
}

.imageBox {
    position: relative;
    height: 350px;
    width: 100%;
    border: 1px solid #aaa;
    background: #fff;
    overflow: hidden;
    background-repeat: no-repeat;
    cursor: move;
}

    .imageBox .thumbBox {
        position: absolute;
        top: 50%;
        left: 50%;
        width: 200px;
        height: 200px;
        margin-top: -100px;
        margin-left: -100px;
        box-sizing: border-box;
        border: 1px solid rgb(102, 102, 102);
        box-shadow: 0 0 0 1000px rgba(0, 0, 0, 0.5);
        background: none repeat scroll 0% 0% transparent;
    }

    .imageBox .spinner {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        text-align: center;
        line-height: 400px;
        background: rgba(0,0,0,0.7);
    }

.crop-btn {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

    .crop-btn button {
        padding: 11px 20px;
    }

/*-------- end- crop image ------------*/







@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}


body {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    line-height: 1.6;
    color: #333;
    background-color: #f1f1f1;
}

.section-title {
    font-weight: 700;
    color: black;
    position: relative;
    display: inline-block;
}

    .section-title::after {
        content: '';
        position: absolute;
        bottom: -10px;
        left: 50%;
        transform: translateX(-50%);
        width: 60px;
        height: 3px;
        background: var(--primary-color);
    }

.header {
    position: sticky;
    top: 0;
    background-color: white;
    height: 71px;
    z-index: 1000;
}

    .header h5 {
        margin: 0;
    }

    .header h1 {
        font-size: 16px;
        margin: 0 !important;
    }


    .header ul {
        display: flex;
        list-style: none;
        align-items: center;
    }




.logo {
    height: 60px;
    margin-right: 21px;
    filter: contrast(1.4);
}


.dropdown-header {
    background: none;
    border: none;
    margin-left: 62%;
    font-size: 23px;
}

.shadow-sm {
    box-shadow: 0 .125rem .25rem rgb(0 0 0 / 40%) !important;
}


.offcanvas-body a {
    padding-left: 3em !important;
    background-color: #ede0e0;
    margin-top: 2%;
}

.offcanvas-body h1 {
    font-size: 16px;
    margin: 0 !important;
}

.contactus_alertmsg {
    font-size: 14px;
}


.sr_section {
    box-shadow: 0px 3px 11px 0px #d4d4d4;
    padding: 26px 10px;
}
